<?php
namespace SM\Controller;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use SM\Service\Sm00004110TipoRescisaoService;
use SM\Traits\TResponse;

class Sm00004110TipoRescisaoController {

    use TResponse;

    protected $tipoRescisaoService;

    public function __construct(Sm00004110TipoRescisaoService $tipoRescisaoService) {
        $this->tipoRescisaoService = $tipoRescisaoService;
    }

    public function getTipoRescisao(Request $request, Response $response) {
        try {
            $data = $this->tipoRescisaoService->getTipoRescisao();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }   
    }

    public function getModeloDocumento(Request $request, Response $response) {
        try {
            $data = $this->tipoRescisaoService->getModeloDocumento();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }   
    }

    public function editarTipoRescisao(Request $request, Response $response){
        try {
            $params = $request->getParameters();
            $this->tipoRescisaoService->editarTipoRescisao($params);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function excluirTipoRescisao(Request $request, Response $response){
        try {
            $params = $request->getParameters();
            $this->tipoRescisaoService->excluirTipoRescisao($params);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
?>